Subject: bug#57325: 27.1; functions in ff-other-file-alist

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Aug 2022 17:04:44 +0300

> From: Felician Nemeth <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 29 Aug 2022 13:57:44 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > AFAICT, what you saw is the consequence of one basic problem:
> > ff-find-the-other-file is unprepared to deal with a function that
> > returns nil (instead of a list of file-name extensions to try).  So it
> > tries to use that nil value as if it was a list of extensions, and the
> > result is basically random.
> >
> > It should be easy to make ff-find-the-other-file detect the nil value
> > and handle it as if it found no match for the current buffer's file.
> > Do you think this would be better?  Or we could simply document that a
> > function in ff-other-file-alist must return a list of extensions.
> >
> > WDYT?
> 
> I think extending the documentation to explain what is expected from the
> function is enough.  It would have helped me.

I did that now.

> Also, when the function returns an absolute file name, then the
> returned file should be already opened, otherwise ff-find-other-file
> cannot find it.

Hmm... not sure how this is relevant.  The function should return a
list of extensions, not a file name.  What am I missing?